package org.jboss.cache.aop.test.propagation;

/**
 *
*/
// We are using JDK1.5 annotation.
@org.jboss.cache.aop.annotation.InstanceOfPojoCacheable
public interface PropagationManager {
   public void setRootNode(String rdn);

   public void addNode(String parentFdn, String rdn);

   public void addStateItem(String parentFdn, long itemId, long defaultState);

   public Node findNode(String fdn);

   public void stateChange(String parentFdn, long itemId, long newState);

   public void printNodes();
}
